FunctionalGroup (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.FunctionalGroup interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app
Interface FunctionalGroup

All Superinterfaces:
  Collection, HomogeneousCollection, ManagedElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  AppServerFunctionalGroup, ComputerSystemFunctionalGroup, SoftwareModuleFunctionalGroup

    public interface FunctionalGroup

extends HomogeneousCollection

Naming Rules:
  0="app,groupName"
Persistable:
  true
Display Name:
  groupName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`Application` | `getApp()`
`java.lang.String` | `getGroupName()`
`boolean` | `hasApp()`
`boolean` | `hasGroupName()`
`void` | `setApp(Application app)`
`void` | `setGroupName(java.lang.String name)`

Methods inherited from interface com.collation.platform.model.topology.process.HomogeneousCollection
`getMemberType, hasMemberType, setMemberType`

Methods inherited from interface com.collation.platform.model.topology.core.Collection
`getActive, getMembers, getName, hasActive, hasMembers, hasName, setActive, setMembers, setName`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getApp

    Application getApp()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setApp

    void setApp(Application app)

### hasApp

    boolean hasApp()

### getGroupName

    java.lang.String getGroupName()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setGroupName

    void setGroupName(java.lang.String name)

### hasGroupName

    boolean hasGroupName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD